<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vr="http://www.istandaarden.nl/validatie/1_1/rapport/schema">
	<!-- iJw 3.1 JW317 (2021-09-29) -->

	<xsl:import href="common/basis.xsl" />
	<xsl:include href="condities/CD005.xsl" />
	<xsl:include href="condities/CD007.xsl" />
	<xsl:include href="condities/CD025.xsl" />
	<xsl:include href="condities/CD041.xsl" />
	<xsl:include href="condities/CD075.xsl" />
	<xsl:include href="condities/CD076.xsl" />
	<xsl:include href="condities/CD077.xsl" />
	<xsl:include href="condities/CD078.xsl" />
	<xsl:include href="condities/CD079.xsl" />
	<xsl:include href="condities/CD096.xsl" />
	<xsl:include href="constraints/CS002.xsl" />
	<xsl:include href="constraints/CS003.xsl" />
	<xsl:include href="constraints/CS050.xsl" />
	<xsl:include href="constraints/CS089.xsl" />
	<xsl:include href="constraints/CS139.xsl" />
	<xsl:include href="constraints/CS325.xsl" />
	<xsl:include href="constraints/CS338.xsl" />
	<xsl:include href="rules/TR002.xsl" />
	<xsl:include href="rules/TR101.xsl" />
	<xsl:include href="rules/TR352.xsl" />
	<xsl:include href="rules/TR353.xsl" />
	<xsl:include href="rules/TR378.xsl" />
	<xsl:include href="rules/TR380.xsl" />
	<xsl:include href="rules/TR410.xsl" />

	<xsl:template match="*" mode="check" priority="0">
		<xsl:apply-templates select="." mode="CD005"/>
		<xsl:apply-templates select="." mode="CD007"/>
		<xsl:apply-templates select="." mode="CD025"/>
		<xsl:apply-templates select="." mode="CD041"/>
		<xsl:apply-templates select="." mode="CD075"/>
		<xsl:apply-templates select="." mode="CD076"/>
		<xsl:apply-templates select="." mode="CD077"/>
		<xsl:apply-templates select="." mode="CD078"/>
		<xsl:apply-templates select="." mode="CD079"/>
		<xsl:apply-templates select="." mode="CD096"/>
		<xsl:apply-templates select="." mode="CS002"/>
		<xsl:apply-templates select="." mode="CS003"/>
		<xsl:apply-templates select="." mode="CS050"/>
		<xsl:apply-templates select="." mode="CS089"/>
		<xsl:apply-templates select="." mode="CS139"/>
		<xsl:apply-templates select="." mode="CS325"/>
		<xsl:apply-templates select="." mode="CS338"/>
		<xsl:apply-templates select="." mode="TR002"/>
		<xsl:apply-templates select="." mode="TR101"/>
		<xsl:apply-templates select="." mode="TR352"/>
		<xsl:apply-templates select="." mode="TR353"/>
		<xsl:apply-templates select="." mode="TR378"/>
		<xsl:apply-templates select="." mode="TR380"/>
		<xsl:apply-templates select="." mode="TR410"/>
	</xsl:template>

	<xsl:variable name="versionInfo">
		<vr:XSLTHeader>
			<vr:Standaard>ijw</vr:Standaard>
			<vr:StandaardRelease>3.1</vr:StandaardRelease>
			<vr:XSLTVersie>2.4.3</vr:XSLTVersie>
		</vr:XSLTHeader>
	</xsl:variable>
</xsl:stylesheet>
