<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vr="http://www.istandaarden.nl/validatie/1_1/rapport/schema">
	<!-- iJw 3.1 JW319 (2021-09-29) -->

	<xsl:import href="common/basis.xsl" />
	<xsl:include href="condities/CD005.xsl" />
	<xsl:include href="condities/CD007.xsl" />
	<xsl:include href="condities/CD025.xsl" />
	<xsl:include href="condities/CD085.xsl" />
	<xsl:include href="condities/CD086.xsl" />
	<xsl:include href="constraints/CS002.xsl" />
	<xsl:include href="constraints/CS050.xsl" />
	<xsl:include href="constraints/CS089.xsl" />
	<xsl:include href="constraints/CS139.xsl" />
	<xsl:include href="constraints/CS325.xsl" />
	<xsl:include href="rules/TR002.xsl" />
	<xsl:include href="rules/TR101.xsl" />
	<xsl:include href="rules/TR377.xsl" />
	<xsl:include href="rules/TR378.xsl" />
	<xsl:include href="rules/TR409.xsl" />

	<xsl:template match="*" mode="check" priority="0">
		<xsl:apply-templates select="." mode="CD005"/>
		<xsl:apply-templates select="." mode="CD007"/>
		<xsl:apply-templates select="." mode="CD025"/>
		<xsl:apply-templates select="." mode="CD085"/>
		<xsl:apply-templates select="." mode="CD086"/>
		<xsl:apply-templates select="." mode="CS002"/>
		<xsl:apply-templates select="." mode="CS050"/>
		<xsl:apply-templates select="." mode="CS089"/>
		<xsl:apply-templates select="." mode="CS139"/>
		<xsl:apply-templates select="." mode="CS325"/>
		<xsl:apply-templates select="." mode="TR002"/>
		<xsl:apply-templates select="." mode="TR101"/>
		<xsl:apply-templates select="." mode="TR377"/>
		<xsl:apply-templates select="." mode="TR378"/>
		<xsl:apply-templates select="." mode="TR409"/>
	</xsl:template>

	<xsl:variable name="versionInfo">
		<vr:XSLTHeader>
			<vr:Standaard>ijw</vr:Standaard>
			<vr:StandaardRelease>3.1</vr:StandaardRelease>
			<vr:XSLTVersie>2.4.3</vr:XSLTVersie>
		</vr:XSLTHeader>
	</xsl:variable>
</xsl:stylesheet>
