<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vr="http://www.istandaarden.nl/validatie/1_1/rapport/schema">
	<!-- iJw 3.1 JW323 (2021-09-29) -->

	<xsl:import href="common/basis.xsl" />
	<xsl:include href="condities/CD005.xsl" />
	<xsl:include href="condities/CD007.xsl" />
	<xsl:include href="condities/CD025.xsl" />
	<xsl:include href="condities/CD060.xsl" />
	<xsl:include href="condities/CD087.xsl" />
	<xsl:include href="constraints/CS002.xsl" />
	<xsl:include href="constraints/CS050.xsl" />
	<xsl:include href="constraints/CS089.xsl" />
	<xsl:include href="constraints/CS100.xsl" />
	<xsl:include href="constraints/CS139.xsl" />
	<xsl:include href="constraints/CS325.xsl" />
	<xsl:include href="constraints/CS337.xsl" />
	<xsl:include href="constraints/CS339.xsl" />
	<xsl:include href="constraints/CS340.xsl" />
	<xsl:include href="rules/TR002.xsl" />
	<xsl:include href="rules/TR101.xsl" />
	<xsl:include href="rules/TR134.xsl" />
	<xsl:include href="rules/TR137.xsl" />
	<xsl:include href="rules/TR315.xsl" />
	<xsl:include href="rules/TR316.xsl" />
	<xsl:include href="rules/TR319.xsl" />
	<xsl:include href="rules/TR335.xsl" />
	<xsl:include href="rules/TR358.xsl" />
	<xsl:include href="rules/TR378.xsl" />

	<xsl:template match="*" mode="check" priority="0">
		<xsl:apply-templates select="." mode="CD005"/>
		<xsl:apply-templates select="." mode="CD007"/>
		<xsl:apply-templates select="." mode="CD025"/>
		<xsl:apply-templates select="." mode="CD060"/>
		<xsl:apply-templates select="." mode="CD087"/>
		<xsl:apply-templates select="." mode="CS002"/>
		<xsl:apply-templates select="." mode="CS050"/>
		<xsl:apply-templates select="." mode="CS089"/>
		<xsl:apply-templates select="." mode="CS100"/>
		<xsl:apply-templates select="." mode="CS139"/>
		<xsl:apply-templates select="." mode="CS325"/>
		<xsl:apply-templates select="." mode="CS337"/>
		<xsl:apply-templates select="." mode="CS339"/>
		<xsl:apply-templates select="." mode="CS340"/>
		<xsl:apply-templates select="." mode="TR002"/>
		<xsl:apply-templates select="." mode="TR101"/>
		<xsl:apply-templates select="." mode="TR134"/>
		<xsl:apply-templates select="." mode="TR137"/>
		<xsl:apply-templates select="." mode="TR315"/>
		<xsl:apply-templates select="." mode="TR316"/>
		<xsl:apply-templates select="." mode="TR319"/>
		<xsl:apply-templates select="." mode="TR335"/>
		<xsl:apply-templates select="." mode="TR358"/>
		<xsl:apply-templates select="." mode="TR378"/>
	</xsl:template>

	<xsl:variable name="versionInfo">
		<vr:XSLTHeader>
			<vr:Standaard>ijw</vr:Standaard>
			<vr:StandaardRelease>3.1</vr:StandaardRelease>
			<vr:XSLTVersie>2.4.3</vr:XSLTVersie>
		</vr:XSLTHeader>
	</xsl:variable>
</xsl:stylesheet>
