<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ijw="http://www.istandaarden.nl/ijw/3_1/basisschema/schema"
				xmlns:jw301="http://www.istandaarden.nl/ijw/3_1/jw301/schema"
				xmlns:jw315="http://www.istandaarden.nl/ijw/3_1/jw315/schema"
				xmlns:jw317="http://www.istandaarden.nl/ijw/3_1/jw317/schema"
>

	<!-- iJw 3.0 CD041 version 2.4.3 (2021-09-29) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CD041"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD041"/>
	</xsl:template>

	<xsl:template match="jw301:ToegewezenProduct" mode="CD041">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="jw301:Product/ijw:Code"/>
			<xsl:with-param name="pValue1">*</xsl:with-param>
			<xsl:with-param name="pOther" select="jw301:Omvang"/>
			<xsl:with-param name="pValue2">#</xsl:with-param>
			<xsl:with-param name="pRule">CD041</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="jw315:AangevraagdProduct" mode="CD041">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="jw315:Product/ijw:Code"/>
			<xsl:with-param name="pValue1">*</xsl:with-param>
			<xsl:with-param name="pOther" select="jw315:Omvang"/>
			<xsl:with-param name="pValue2">#</xsl:with-param>
			<xsl:with-param name="pRule">CD041</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="jw317:NieuwProduct" mode="CD041">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="jw317:Product/ijw:Code"/>
			<xsl:with-param name="pValue1">*</xsl:with-param>
			<xsl:with-param name="pOther" select="jw317:Omvang"/>
			<xsl:with-param name="pValue2">#</xsl:with-param>
			<xsl:with-param name="pRule">CD041</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
