<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ijw="http://www.istandaarden.nl/ijw/3_1/basisschema/schema"
				xmlns:jw323="http://www.istandaarden.nl/ijw/3_1/jw323/schema"
				xmlns:jw325="http://www.istandaarden.nl/ijw/3_1/jw325/schema"
>

	<!-- iJw 3.0 CD060 version 2.4.3 (2021-09-29) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CD060"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD060"/>
	</xsl:template>

	<xsl:template match="jw323:Prestatie" mode="CD060">
		<xsl:call-template name="checksame">
			<xsl:with-param name="pThis" select="jw323:IngediendBedrag/ijw:DebetCredit"/>
			<xsl:with-param name="pValue1">C</xsl:with-param>
			<xsl:with-param name="pOther" select="jw323:ProductReferentie/ijw:VorigReferentieNummer"/>
			<xsl:with-param name="pValue2">*</xsl:with-param>
			<xsl:with-param name="pRule">CD060</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="jw325:Prestatie" mode="CD060">
		<xsl:call-template name="checksame">
			<xsl:with-param name="pThis" select="jw325:IngediendBedrag/ijw:DebetCredit"/>
			<xsl:with-param name="pValue1">C</xsl:with-param>
			<xsl:with-param name="pOther" select="jw325:ProductReferentie/ijw:VorigReferentieNummer"/>
			<xsl:with-param name="pValue2">*</xsl:with-param>
			<xsl:with-param name="pRule">CD060</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
