<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:jw301="http://www.istandaarden.nl/ijw/3_1/jw301/schema"
				xmlns:jw315="http://www.istandaarden.nl/ijw/3_1/jw315/schema"
				xmlns:jw317="http://www.istandaarden.nl/ijw/3_1/jw317/schema"
>

	<!-- iJw 3.0 CD078 version 2.4.3 (2021-09-29) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CD078"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD078"/>
	</xsl:template>

	<xsl:template match="jw301:ToegewezenProduct/jw301:Omvang" mode="CD078">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">#</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::jw301:ToegewezenProduct/jw301:Budget"/>
			<xsl:with-param name="pValue2">!#</xsl:with-param>
			<xsl:with-param name="pRule">CD078</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="jw315:AangevraagdProduct/jw315:Omvang" mode="CD078">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">#</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::jw315:AangevraagdProduct/jw315:Budget"/>
			<xsl:with-param name="pValue2">!#</xsl:with-param>
			<xsl:with-param name="pRule">CD078</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="jw317:TeWijzigenProduct/jw317:Omvang" mode="CD078">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">#</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::jw317:TeWijzigenProduct/jw317:Budget"/>
			<xsl:with-param name="pValue2">!#</xsl:with-param>
			<xsl:with-param name="pRule">CD078</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="jw317:NieuwProduct/jw317:Omvang" mode="CD078">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">#</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::jw317:NieuwProduct/jw317:Budget"/>
			<xsl:with-param name="pValue2">!#</xsl:with-param>
			<xsl:with-param name="pRule">CD078</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
