<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ijw="http://www.istandaarden.nl/ijw/3_1/basisschema/schema"
				xmlns:jw315="http://www.istandaarden.nl/ijw/3_1/jw315/schema"
>

	<!-- iJw 3.0 CD095 version 2.4.3 (2021-09-29) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CD095"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD095"/>
	</xsl:template>

	<xsl:template match="jw315:AangevraagdProduct/jw315:Omvang" mode="CD095">
		<xsl:if test="not(ancestor-or-self::jw315:AangevraagdProduct/jw315:ToewijzingEinddatum) or number(translate(ancestor-or-self::jw315:AangevraagdProduct/jw315:ToewijzingEinddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">#</xsl:with-param>
				<xsl:with-param name="pOther"
								select="ancestor-or-self::jw315:AangevraagdProduct/jw315:Product/ijw:Code"/>
				<xsl:with-param name="pValue2">*</xsl:with-param>
				<xsl:with-param name="pRule">CD095</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::jw315:AangevraagdProduct/jw315:ToewijzingEinddatum"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
