<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ijw="http://www.istandaarden.nl/ijw/3_1/basisschema/schema"
				xmlns:jw301="http://www.istandaarden.nl/ijw/3_1/jw301/schema"
				xmlns:jw317="http://www.istandaarden.nl/ijw/3_1/jw317/schema"
>

	<!-- iJw 3.0 CS338 version 2.4.3 (2021-09-29) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS338"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS338"/>
	</xsl:template>

	<xsl:template match="jw301:ToegewezenProduct//jw301:Omvang/ijw:Eenheid" mode="CS338">
		<xsl:if test="not(ancestor-or-self::jw301:ToegewezenProduct/jw301:Einddatum) or number(translate(ancestor-or-self::jw301:ToegewezenProduct/jw301:Einddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">14,16,83,84</xsl:with-param>
				<xsl:with-param name="pOther" select="../ijw:Frequentie"/>
				<xsl:with-param name="pValue2">2,4,6</xsl:with-param>
				<xsl:with-param name="pRule">CS338</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::jw301:ToegewezenProduct/jw301:Einddatum"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw317:TeWijzigenProduct//jw317:Omvang/ijw:Eenheid" mode="CS338">
		<xsl:if test="not(ancestor-or-self::jw317:TeWijzigenProduct/jw317:Einddatum) or number(translate(ancestor-or-self::jw317:TeWijzigenProduct/jw317:Einddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">14,16,83,84</xsl:with-param>
				<xsl:with-param name="pOther" select="../ijw:Frequentie"/>
				<xsl:with-param name="pValue2">2,4,6</xsl:with-param>
				<xsl:with-param name="pRule">CS338</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::jw317:TeWijzigenProduct/jw317:Einddatum"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template match="jw317:NieuwProduct//jw317:Omvang/ijw:Eenheid" mode="CS338">
		<xsl:if test="not(ancestor-or-self::jw317:NieuwProduct/jw317:Einddatum) or number(translate(ancestor-or-self::jw317:NieuwProduct/jw317:Einddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">14,16,83,84</xsl:with-param>
				<xsl:with-param name="pOther" select="../ijw:Frequentie"/>
				<xsl:with-param name="pValue2">2,4,6</xsl:with-param>
				<xsl:with-param name="pRule">CS338</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::jw317:NieuwProduct/jw317:Einddatum"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
