<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ijw="http://www.istandaarden.nl/ijw/3_1/basisschema/schema"
				xmlns:jw323="http://www.istandaarden.nl/ijw/3_1/jw323/schema"
>

	<!-- iJw 3.0 CS340 version 2.4.3 (2021-09-29) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS340"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS340"/>
	</xsl:template>

	<xsl:template match="jw323:DeclaratiePeriode" mode="CS340">
		<xsl:if test="substring-after(substring-after(ijw:Begindatum, '-'), '-') != '01'">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select="ijw:Begindatum"/>
				<xsl:with-param name="pRule">CS340</xsl:with-param>
			</xsl:call-template>
		</xsl:if>

		<xsl:variable name="vAdjustedDay">
			<xsl:call-template name="addDate">
				<xsl:with-param name="pDate" select="ijw:Einddatum/text()"/>
				<xsl:with-param name="pExtra">1</xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="vAdjustedMonth">
			<xsl:call-template name="addMonths">
				<xsl:with-param name="pDate" select="ijw:Begindatum/text()"/>
				<xsl:with-param name="pExtra">1</xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<xsl:if test="$vAdjustedDay != $vAdjustedMonth">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select="ijw:Begindatum | ijw:Einddatum"/>
				<xsl:with-param name="pRule">CS340</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
