<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ijw="http://www.istandaarden.nl/ijw/3_1/basisschema/schema"
>

	<!-- iJw 3.0 TR002 version 2.4.3 (2021-09-29) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR002"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR002"/>
	</xsl:template>

	<xsl:template match="*[local-name() = 'Geboortedatum']/ijw:Datum" mode="TR002">
		<xsl:if test="not(../ijw:DatumGebruik/text() = '3' and text() = '1900-01-01')">
			<xsl:variable name="parent"
						  select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']"/>
			<xsl:call-template name="checkYearsBetween">
				<xsl:with-param name="pDate1"
								select="$parent/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening'] | $parent/*[local-name() = 'DeclaratieFactuurIdentificatie']/*[local-name() = 'FactuurDagtekening']"/>
				<xsl:with-param name="pDate2" select="."/>
				<xsl:with-param name="pYears">120</xsl:with-param>
				<xsl:with-param name="pRule">
					TR002
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
