<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:jw301="http://www.istandaarden.nl/ijw/3_1/jw301/schema"
	xmlns:jw305="http://www.istandaarden.nl/ijw/3_1/jw305/schema"
	xmlns:jw307="http://www.istandaarden.nl/ijw/3_1/jw307/schema"
	xmlns:jw315="http://www.istandaarden.nl/ijw/3_1/jw315/schema"
	xmlns:jw317="http://www.istandaarden.nl/ijw/3_1/jw317/schema"
	xmlns:jw319="http://www.istandaarden.nl/ijw/3_1/jw319/schema"
	xmlns:jw323="http://www.istandaarden.nl/ijw/3_1/jw323/schema"
	xmlns:jw325="http://www.istandaarden.nl/ijw/3_1/jw325/schema"
>
	<!-- iJw 3.1 TR101 version 2.4.3 (2021-09-29) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR101simple"/>
	<xsl:template match="*" mode="TR101generic"/>
	<xsl:template match="*" mode="TR101">
		<xsl:apply-templates select="*" mode="TR101simple"/>
		<xsl:apply-templates select="*" mode="TR101generic"/>
	</xsl:template>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR101"/>
	</xsl:template>

	<!-- JW301 -->
	<xsl:template match="jw301:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw301:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw301:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw301:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw301:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw301:Contact" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Soort']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw301:Contact[*[local-name() = 'Soort']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw301:Contact[*[local-name() = 'Soort']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw301:Contact[(not(*[local-name() = 'Soort']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw301:Contact[(not(*[local-name() = 'Soort']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw301:Relatie" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Nummer']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw301:Relatie[*[local-name() = 'Nummer']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw301:Relatie[*[local-name() = 'Nummer']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw301:Relatie[(not(*[local-name() = 'Nummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw301:Relatie[(not(*[local-name() = 'Nummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw301:ToegewezenProduct" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'ToewijzingNummer']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw301:ToegewezenProduct[*[local-name() = 'ToewijzingNummer']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw301:ToegewezenProduct[*[local-name() = 'ToewijzingNummer']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw301:ToegewezenProduct[(not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw301:ToegewezenProduct[(not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- JW305 -->
	<xsl:template match="jw305:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw305:StartProduct" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Begindatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Product']/*[local-name() = 'Categorie']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'Product']/*[local-name() = 'Code']/text()" />
		<xsl:variable name="vMatch3" select="*[local-name() = 'ToewijzingNummer']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch3]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw305:StartProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- JW307 -->
	<xsl:template match="jw307:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw307:StopProduct" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Begindatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Einddatum']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'Product']/*[local-name() = 'Categorie']/text()" />
		<xsl:variable name="vMatch3" select="*[local-name() = 'Product']/*[local-name() = 'Code']/text()" />
		<xsl:variable name="vMatch4" select="*[local-name() = 'ToewijzingNummer']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[*[local-name() = 'Begindatum']/text() = $vMatch0 and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and $vMatch3 and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2 and not($vMatch3) and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and $vMatch3 and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2) and not($vMatch3) and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and *[local-name() = 'Einddatum']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and $vMatch3 and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2 and not($vMatch3) and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch2 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and $vMatch3 and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch3 and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and $vMatch4">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and *[local-name() = 'ToewijzingNummer']/text() = $vMatch4]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2) and not($vMatch3) and not($vMatch4)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw307:StopProduct[(not(*[local-name() = 'Begindatum'])) and (not(*[local-name() = 'Einddatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])]) and (not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- JW315 -->
	<xsl:template match="jw315:AangevraagdProduct" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'ReferentieAanbieder']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw315:AangevraagdProduct[*[local-name() = 'ReferentieAanbieder']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw315:AangevraagdProduct[*[local-name() = 'ReferentieAanbieder']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw315:AangevraagdProduct[(not(*[local-name() = 'ReferentieAanbieder']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw315:AangevraagdProduct[(not(*[local-name() = 'ReferentieAanbieder']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw315:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw315:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw315:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw315:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw315:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- JW317 -->
	<xsl:template match="jw317:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw317:NieuwProduct" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'GewensteIngangsdatum']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'Product']/*[local-name() = 'Categorie']/text()" />
		<xsl:variable name="vMatch2" select="*[local-name() = 'Product']/*[local-name() = 'Code']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1 and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:NieuwProduct[*[local-name() = 'GewensteIngangsdatum']/text() = $vMatch0 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:NieuwProduct[*[local-name() = 'GewensteIngangsdatum']/text() = $vMatch0 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and $vMatch1 and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:NieuwProduct[*[local-name() = 'GewensteIngangsdatum']/text() = $vMatch0 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])])]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:NieuwProduct[*[local-name() = 'GewensteIngangsdatum']/text() = $vMatch0 and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])])]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:NieuwProduct[*[local-name() = 'GewensteIngangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:NieuwProduct[*[local-name() = 'GewensteIngangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1) and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:NieuwProduct[*[local-name() = 'GewensteIngangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])])]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:NieuwProduct[*[local-name() = 'GewensteIngangsdatum']/text() = $vMatch0 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])])]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:NieuwProduct[(not(*[local-name() = 'GewensteIngangsdatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:NieuwProduct[(not(*[local-name() = 'GewensteIngangsdatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1 and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:NieuwProduct[(not(*[local-name() = 'GewensteIngangsdatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])])]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:NieuwProduct[(not(*[local-name() = 'GewensteIngangsdatum'])) and *[local-name() = 'Product']/*[local-name() = 'Categorie']/text() = $vMatch1 and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])])]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and $vMatch2">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:NieuwProduct[(not(*[local-name() = 'GewensteIngangsdatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:NieuwProduct[(not(*[local-name() = 'GewensteIngangsdatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and *[local-name() = 'Product']/*[local-name() = 'Code']/text() = $vMatch2]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1) and not($vMatch2)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:NieuwProduct[(not(*[local-name() = 'GewensteIngangsdatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])])]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:NieuwProduct[(not(*[local-name() = 'GewensteIngangsdatum'])) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Categorie'])]) and (not(*[local-name() = 'Product']) or *[local-name() = 'Product' and not(*[local-name() = 'Code'])])]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw317:OngewijzigdProduct" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'ToewijzingNummer']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:OngewijzigdProduct[*[local-name() = 'ToewijzingNummer']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:OngewijzigdProduct[*[local-name() = 'ToewijzingNummer']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:OngewijzigdProduct[(not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:OngewijzigdProduct[(not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw317:TeWijzigenProduct" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'ToewijzingNummer']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:TeWijzigenProduct[*[local-name() = 'ToewijzingNummer']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:TeWijzigenProduct[*[local-name() = 'ToewijzingNummer']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:TeWijzigenProduct[(not(*[local-name() = 'ToewijzingNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:TeWijzigenProduct[(not(*[local-name() = 'ToewijzingNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw317:Verzoek" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'ReferentieAanbieder']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:Verzoek[*[local-name() = 'ReferentieAanbieder']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:Verzoek[*[local-name() = 'ReferentieAanbieder']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw317:Verzoek[(not(*[local-name() = 'ReferentieAanbieder']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw317:Verzoek[(not(*[local-name() = 'ReferentieAanbieder']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- JW319 -->
	<xsl:template match="jw319:Antwoord" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'ReferentieAanbieder']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'VerzoekAntwoord']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw319:Antwoord[*[local-name() = 'ReferentieAanbieder']/text() = $vMatch0 and *[local-name() = 'VerzoekAntwoord']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw319:Antwoord[*[local-name() = 'ReferentieAanbieder']/text() = $vMatch0 and *[local-name() = 'VerzoekAntwoord']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw319:Antwoord[*[local-name() = 'ReferentieAanbieder']/text() = $vMatch0 and (not(*[local-name() = 'VerzoekAntwoord']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw319:Antwoord[*[local-name() = 'ReferentieAanbieder']/text() = $vMatch0 and (not(*[local-name() = 'VerzoekAntwoord']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw319:Antwoord[(not(*[local-name() = 'ReferentieAanbieder'])) and *[local-name() = 'VerzoekAntwoord']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw319:Antwoord[(not(*[local-name() = 'ReferentieAanbieder'])) and *[local-name() = 'VerzoekAntwoord']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw319:Antwoord[(not(*[local-name() = 'ReferentieAanbieder'])) and (not(*[local-name() = 'VerzoekAntwoord']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw319:Antwoord[(not(*[local-name() = 'ReferentieAanbieder'])) and (not(*[local-name() = 'VerzoekAntwoord']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw319:Woonplaatsbeginsel" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Gemeente']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw319:Woonplaatsbeginsel[*[local-name() = 'Gemeente']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw319:Woonplaatsbeginsel[*[local-name() = 'Gemeente']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw319:Woonplaatsbeginsel[(not(*[local-name() = 'Gemeente']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw319:Woonplaatsbeginsel[(not(*[local-name() = 'Gemeente']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- JW323 -->
	<xsl:template match="jw323:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw323:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw323:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw323:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw323:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw323:Declaratie" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'DeclaratieNummer']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw323:Declaratie[*[local-name() = 'DeclaratieNummer']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw323:Declaratie[*[local-name() = 'DeclaratieNummer']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw323:Declaratie[(not(*[local-name() = 'DeclaratieNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw323:Declaratie[(not(*[local-name() = 'DeclaratieNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw323:Prestatie" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'ProductReferentie']/*[local-name() = 'ReferentieNummer']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'ProductReferentie']/*[local-name() = 'VorigReferentieNummer']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw323:Prestatie[*[local-name() = 'ProductReferentie']/*[local-name() = 'ReferentieNummer']/text() = $vMatch0 and *[local-name() = 'ProductReferentie']/*[local-name() = 'VorigReferentieNummer']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw323:Prestatie[*[local-name() = 'ProductReferentie']/*[local-name() = 'ReferentieNummer']/text() = $vMatch0 and *[local-name() = 'ProductReferentie']/*[local-name() = 'VorigReferentieNummer']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw323:Prestatie[*[local-name() = 'ProductReferentie']/*[local-name() = 'ReferentieNummer']/text() = $vMatch0 and (not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'VorigReferentieNummer'])])]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw323:Prestatie[*[local-name() = 'ProductReferentie']/*[local-name() = 'ReferentieNummer']/text() = $vMatch0 and (not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'VorigReferentieNummer'])])]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw323:Prestatie[(not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'ReferentieNummer'])]) and *[local-name() = 'ProductReferentie']/*[local-name() = 'VorigReferentieNummer']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw323:Prestatie[(not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'ReferentieNummer'])]) and *[local-name() = 'ProductReferentie']/*[local-name() = 'VorigReferentieNummer']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw323:Prestatie[(not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'ReferentieNummer'])]) and (not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'VorigReferentieNummer'])])]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw323:Prestatie[(not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'ReferentieNummer'])]) and (not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'VorigReferentieNummer'])])]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>


	<!-- JW325 -->
	<xsl:template match="jw325:Client" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'Bsn']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw325:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw325:Client[*[local-name() = 'Bsn']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw325:Client[(not(*[local-name() = 'Bsn']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw325:Client[(not(*[local-name() = 'Bsn']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw325:DeclaratieAntwoord" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'DeclaratieNummer']/text()" />
		<xsl:if test="$vMatch0">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw325:DeclaratieAntwoord[*[local-name() = 'DeclaratieNummer']/text() = $vMatch0]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw325:DeclaratieAntwoord[*[local-name() = 'DeclaratieNummer']/text() = $vMatch0]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw325:DeclaratieAntwoord[(not(*[local-name() = 'DeclaratieNummer']))]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw325:DeclaratieAntwoord[(not(*[local-name() = 'DeclaratieNummer']))]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template match="jw325:Prestatie" mode="TR101generic">
		<xsl:variable name="vThis" select="." />
		<xsl:variable name="vMatch0" select="*[local-name() = 'ProductReferentie']/*[local-name() = 'ReferentieNummer']/text()" />
		<xsl:variable name="vMatch1" select="*[local-name() = 'ProductReferentie']/*[local-name() = 'VorigReferentieNummer']/text()" />
		<xsl:if test="$vMatch0 and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw325:Prestatie[*[local-name() = 'ProductReferentie']/*[local-name() = 'ReferentieNummer']/text() = $vMatch0 and *[local-name() = 'ProductReferentie']/*[local-name() = 'VorigReferentieNummer']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw325:Prestatie[*[local-name() = 'ProductReferentie']/*[local-name() = 'ReferentieNummer']/text() = $vMatch0 and *[local-name() = 'ProductReferentie']/*[local-name() = 'VorigReferentieNummer']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$vMatch0 and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw325:Prestatie[*[local-name() = 'ProductReferentie']/*[local-name() = 'ReferentieNummer']/text() = $vMatch0 and (not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'VorigReferentieNummer'])])]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw325:Prestatie[*[local-name() = 'ProductReferentie']/*[local-name() = 'ReferentieNummer']/text() = $vMatch0 and (not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'VorigReferentieNummer'])])]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and $vMatch1">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw325:Prestatie[(not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'ReferentieNummer'])]) and *[local-name() = 'ProductReferentie']/*[local-name() = 'VorigReferentieNummer']/text() = $vMatch1]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw325:Prestatie[(not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'ReferentieNummer'])]) and *[local-name() = 'ProductReferentie']/*[local-name() = 'VorigReferentieNummer']/text() = $vMatch1]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
		<xsl:if test="not($vMatch0) and not($vMatch1)">
			<xsl:variable name="vFollowingSiblings" select="following-sibling::jw325:Prestatie[(not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'ReferentieNummer'])]) and (not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'VorigReferentieNummer'])])]"/>
			<xsl:if test="not($vFollowingSiblings)">
				<xsl:variable name="vPrecedingSiblings" select="preceding-sibling::jw325:Prestatie[(not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'ReferentieNummer'])]) and (not(*[local-name() = 'ProductReferentie']) or *[local-name() = 'ProductReferentie' and not(*[local-name() = 'VorigReferentieNummer'])])]"/>
				<xsl:if test="$vPrecedingSiblings">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select=". | $vThis | $vPrecedingSiblings"/>
						<xsl:with-param name="pRule">TR101</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
