<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ijw="http://www.istandaarden.nl/ijw/3_1/basisschema/schema"
				xmlns:jw301="http://www.istandaarden.nl/ijw/3_1/jw301/schema"
				xmlns:jw305="http://www.istandaarden.nl/ijw/3_1/jw305/schema"
				xmlns:jw307="http://www.istandaarden.nl/ijw/3_1/jw307/schema"
				xmlns:jw315="http://www.istandaarden.nl/ijw/3_1/jw315/schema"
				xmlns:jw323="http://www.istandaarden.nl/ijw/3_1/jw323/schema"
				xmlns:jw325="http://www.istandaarden.nl/ijw/3_1/jw325/schema"
>

	<!-- iJw 3.0 TR134 version 2.4.3 (2021-09-29) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR134"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR134"/>
	</xsl:template>

	<xsl:template match="jw301:Beschikking/jw301:Afgiftedatum" mode="TR134">
		<xsl:call-template name="TR134"/>
	</xsl:template>

	<xsl:template match="jw301:Client/jw301:Geboortedatum/ijw:Datum" mode="TR134">
		<xsl:call-template name="TR134"/>
	</xsl:template>

	<xsl:template match="jw301:Relatie/jw301:Geboortedatum/ijw:Datum" mode="TR134">
		<xsl:call-template name="TR134"/>
	</xsl:template>

	<xsl:template match="jw301:ToegewezenProduct/jw301:Toewijzingsdatum" mode="TR134">
		<xsl:call-template name="TR134"/>
	</xsl:template>

	<xsl:template match="ijw:DeclaratiePeriode/ijw:Begindatum" mode="TR134">
		<xsl:call-template name="TR134declaratie"/>
	</xsl:template>

	<xsl:template match="jw305:Client/jw305:Geboortedatum/ijw:Datum" mode="TR134">
		<xsl:call-template name="TR134"/>
	</xsl:template>

	<xsl:template match="jw305:StartProduct/jw305:Begindatum" mode="TR134">
		<xsl:call-template name="TR134"/>
	</xsl:template>

	<xsl:template match="jw307:Client/jw307:Geboortedatum/ijw:Datum" mode="TR134">
		<xsl:call-template name="TR134"/>
	</xsl:template>

	<xsl:template match="jw307:StopProduct/jw307:Einddatum" mode="TR134">
		<xsl:call-template name="TR134"/>
	</xsl:template>

	<xsl:template match="jw315:Client/jw315:Geboortedatum/ijw:Datum" mode="TR134">
		<xsl:call-template name="TR134"/>
	</xsl:template>

	<xsl:template match="jw323:DeclaratiePeriode/ijw:Begindatum" mode="TR134">
		<xsl:call-template name="TR134"/>
	</xsl:template>

	<xsl:template match="jw323:ProductPeriode/ijw:Begindatum" mode="TR134">
		<xsl:call-template name="TR134"/>
	</xsl:template>

	<xsl:template match="jw325:ProductPeriode/ijw:Begindatum" mode="TR134">
		<xsl:call-template name="TR134"/>
	</xsl:template>

	<xsl:template name="TR134">
		<xsl:param name="pThis" select="."/>
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis"
							select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
			<xsl:with-param name="pOther" select="$pThis"/>
			<xsl:with-param name="pRule">TR134</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="TR134declaratie">
		<xsl:param name="pThis" select="."/>
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis"
							select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'DeclaratieFactuurIdentificatie']/*[local-name() = 'FactuurDagtekening']"/>
			<xsl:with-param name="pOther" select="$pThis"/>
			<xsl:with-param name="pRule">TR134</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
