<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ijw="http://www.istandaarden.nl/ijw/3_1/basisschema/schema"
				xmlns:jw323="http://www.istandaarden.nl/ijw/3_1/jw323/schema"
				xmlns:jw325="http://www.istandaarden.nl/ijw/3_1/jw325/schema"
>

	<!-- iJw 3.0 TR137 version 2.4.3 (2021-09-29) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR137"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR137"/>
	</xsl:template>

	<xsl:template match="jw323:DeclaratiePeriode" mode="TR137">
		<xsl:call-template name="TR137"/>
	</xsl:template>

	<xsl:template match="jw323:ProductPeriode" mode="TR137">
		<xsl:call-template name="TR137"/>
	</xsl:template>

	<xsl:template match="jw325:ProductPeriode" mode="TR137">
		<xsl:call-template name="TR137"/>
	</xsl:template>

	<xsl:template name="TR137">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ijw:Einddatum"/>
			<xsl:with-param name="pOther" select="ijw:Begindatum"/>
			<xsl:with-param name="pRule">TR137</xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis"
							select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'DeclaratieFactuurIdentificatie']/*[local-name() = 'FactuurDagtekening'] |
				ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
			<xsl:with-param name="pOther" select="ijw:Einddatum"/>
			<xsl:with-param name="pRule">TR137</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
