<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ijw="http://www.istandaarden.nl/ijw/3_1/basisschema/schema"
				xmlns:jw323="http://www.istandaarden.nl/ijw/3_1/jw323/schema"
>

	<!-- iJw 3.0 TR315 version 2.4.3 (2021-09-29) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR315"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR315"/>
	</xsl:template>

	<xsl:template match="jw323:ProductReferentie" mode="TR315">
		<xsl:variable name="vVorigReferentieNummer" select="normalize-space(ijw:VorigReferentieNummer/text())"/>
		<xsl:variable name="vSelf" select="ijw:VorigReferentieNummer"/>

		<xsl:for-each select="
				ancestor-or-self::jw323:Prestatie/preceding-sibling::jw323:Prestatie/jw323:ProductReferentie/ijw:VorigReferentieNummer[text() = $vVorigReferentieNummer] |
				ancestor-or-self::jw323:Client/preceding-sibling::jw323:Client/jw323:Prestaties/jw323:Prestatie/jw323:ProductReferentie/ijw:VorigReferentieNummer[text() = $vVorigReferentieNummer]
				">
			<xsl:call-template name="checkvalue">
				<xsl:with-param name="pValues">!#</xsl:with-param>
				<xsl:with-param name="pRule">TR315</xsl:with-param>
				<xsl:with-param name="pExtra" select="$vSelf"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
