<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:jw315="http://www.istandaarden.nl/ijw/3_1/jw315/schema"
>

	<!-- iJw 3.0 TR383 version 2.4.3 (2021-09-29) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR383"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR383"/>
	</xsl:template>

	<xsl:template match="jw315:AangevraagdProduct" mode="TR383">
		<xsl:variable name="vVorigReferentieAanbieder" select="normalize-space(jw315:ReferentieAanbieder/text())"/>
		<xsl:variable name="vSelf" select="jw315:VorigReferentieNummer"/>

		<xsl:for-each select="
		ancestor-or-self::jw315:AangevraagdProduct/preceding-sibling::jw315:AangevraagdProduct/jw315:ReferentieAanbieder[text() = $vVorigReferentieAanbieder]
		">
			<xsl:call-template name="checkvalue">
				<xsl:with-param name="pValues">!#</xsl:with-param>
				<xsl:with-param name="pRule">TR383</xsl:with-param>
				<xsl:with-param name="pExtra" select="$vSelf"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
