<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:ijw="http://www.istandaarden.nl/ijw/3_1/basisschema/schema"
				xmlns:jw317="http://www.istandaarden.nl/ijw/3_1/jw317/schema"
>

	<!-- ijw 3.0 TR410 version 2.4.3 (2021-09-29) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR410"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR410"/>
	</xsl:template>

	<xsl:template match="jw317:NieuwProduct" mode="TR410">
		<xsl:call-template name="TR410"/>
	</xsl:template>

	<xsl:template name="TR410">
		<xsl:param name="pThis" select="."/>
		<xsl:param name="pList" select="preceding-sibling::*"/>

		<xsl:for-each select="$pList">
			<xsl:if test="(
	            	(
						($pThis/jw317:Product/ijw:Code and current()/jw317:Product/ijw:Code and $pThis/jw317:Product/ijw:Code = current()/jw317:Product/ijw:Code) and
	            		($pThis/jw317:Product/ijw:Categorie and current()/jw317:Product/ijw:Categorie and $pThis/jw317:Product/ijw:Categorie = current()/jw317:Product/ijw:Categorie)
	            	) or
	            	(
	            		(not($pThis/jw317:Product/ijw:Code) or not(current()/jw317:Product/ijw:Code)) and
	            		($pThis/jw317:Product/ijw:Categorie and current()/jw317:Product/ijw:Categorie and $pThis/jw317:Product/ijw:Categorie = current()/jw317:Product/ijw:Categorie)
	            	) or
	            	(
	            		(not($pThis/jw317:Product/ijw:Code) and not($pThis/jw317:Product/ijw:Categorie)) or
	            		(not(current()/jw317:Product/ijw:Code) and not(current()/jw317:Product/ijw:Categorie))
	            	)
	        	)">
				<xsl:variable name="isOverlay">
					<xsl:call-template name="isPeriodOverlay">
						<xsl:with-param name="pThis" select="$pThis"/>
						<xsl:with-param name="pOther" select="current()"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:if test="$isOverlay = 'true'">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select="$pThis | current()"/>
						<xsl:with-param name="pRule">TR410</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
